<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/config.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/includes/formulas.php');


$link = mysqli_connect(DBASE_HOST,DBASE_USER,DBASE_PASS,DBASE_NAME);
if (! $link) {
	die('Connect Error (' . mysqli_connect_errno() . ') ' . mysqli_connect_error());
}
if (! mysqli_set_charset($link, "utf8" )) {
	echo "error";
	return 1;
}

$result = mysqli_query($link, "SELECT * FROM inventory_suppliers ORDER BY name");
$row = mysqli_fetch_array($result);



/*
 * Create beerxml output
 */
$xw = xmlwriter_open_memory();
xmlwriter_set_indent($xw, 1);
$res = xmlwriter_set_indent_string($xw, ' ');

xmlwriter_start_document($xw, '1.0', 'UTF-8');


xmlwriter_start_element($xw, 'SUPPLIERS');
while ($row = mysqli_fetch_array($result)) {

	xmlwriter_start_element($xw, 'SUPPLIER');

	xmlwriter_start_element($xw, 'VERSION');
	xmlwriter_text($xw, '1');
	xmlwriter_end_element($xw);

	xmlwriter_start_element($xw, 'NAME');
	xmlwriter_text($xw, $row['name']);
	xmlwriter_end_element($xw);

	if (strlen($row['notes'])) {
		xmlwriter_start_element($xw, 'NOTES');
		xmlwriter_text($xw, $row['notes']);
		xmlwriter_end_element($xw);
	}

        if (strlen($row['address'])) {
                xmlwriter_start_element($xw, 'ADDRESS');
                xmlwriter_text($xw, $row['address']);
                xmlwriter_end_element($xw);
        }

        if (strlen($row['city'])) {
                xmlwriter_start_element($xw, 'CITY');
                xmlwriter_text($xw, $row['city']);
                xmlwriter_end_element($xw);
        }

        if (strlen($row['zip'])) {
                xmlwriter_start_element($xw, 'ZIP');
                xmlwriter_text($xw, $row['zip']);
                xmlwriter_end_element($xw);
        }

        if (strlen($row['country'])) {
                xmlwriter_start_element($xw, 'COUNTRY');
                xmlwriter_text($xw, $row['country']);
                xmlwriter_end_element($xw);
        }

        if (strlen($row['website'])) {
                xmlwriter_start_element($xw, 'WEBSITE');
                xmlwriter_text($xw, $row['website']);
                xmlwriter_end_element($xw);
        }

        if (strlen($row['email'])) {
                xmlwriter_start_element($xw, 'EMAIL');
                xmlwriter_text($xw, $row['email']);
                xmlwriter_end_element($xw);
        }

        if (strlen($row['phone'])) {
                xmlwriter_start_element($xw, 'PHONE');
                xmlwriter_text($xw, $row['phone']);
                xmlwriter_end_element($xw);
        }

	xmlwriter_end_element($xw);	// SUPPLIER
}
xmlwriter_end_element($xw);	// SUPPLIERS

$beerxml = xmlwriter_output_memory($xw);

Header('Content-type: text/xml');
header('Content-Disposition: attachment; filename="suppliers.xml"');
header('Content-Transfer-Encoding: binary');
header('Expires: 0');
header('Pragma: no-cache');
header('Content-Length: '.strlen($beerxml));
exit($beerxml);
